<!DOCTYPE html>
<html lang="en" th:lang="#{lang}" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <!--/*/ <th:block th:include="fragments/layout :: head">
        </th:block> /*/-->
</head>
<body>

<div id="wrapper">

    <div th:replace="fragments/layout :: header('user')"></div>


    <!--CAROUSEL-->
    <div id="carouselExampleSlidesOnly" class="carousel-sm" data-ride="carousel">
        <div class="carousel-inner">
            <div class="carousel-item carousel-img active h-100 shadow-bottom">
                <div class="container">
                    <!--<p class="text-white h1 mt-5 ml-5">Profil</p>-->
                </div>
            </div>
        </div>
    </div>

    <main id="main" class="container mt-4">

        <div class="row">
            <div class="col-sm-3">
                <h3 class="h3" th:text="${user.getFullName()}"></h3>
                <p class="text-muted mb-0" th:text="${user.getEmail()}"></p>
                <p class="text-muted" th:if="${user.getCompany() != null}" th:text="${user.getCompany()}"></p>

                <a th:href="@{/rentals}" class="btn btn-sm btn-success mt-2">
                    <i class="fas fa-hammer"></i>
                    Moje výpůjčky
                </a>
            </div>

            <div class="col-sm-9">

                <div th:if="${successMessage != null}" class="alert alert-success alert-dismissible fade show" role="alert">
                    <span th:text="${successMessage}" />
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>

                <div th:if="${errorMessage != null}" class="alert alert-danger alert-dismissible fade show" role="alert">
                    <span th:text="${errorMessage}" />
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>

                <form class="needs-validation" method="post" th:action="@{/user/update}" th:object="${user}" th:fragment="signupForm" novalidate>

                    <!--HIDDEN-->
                    <input hidden th:field="*{id}" >

                    <!--GENERAL INFO-->
                    <div class="card mb-2">
                        <div class="card-header">
                            Základní údaje
                        </div>
                        <div class="card-body">
                            <div class="form-group row">
                                <!--NAME-->
                                <label for="firstName" class="col-md-3 col-lg-2 col-form-label">Jméno:</label>
                                <div class="col-md-9 col-lg-4 mb-3 mb-lg-0">
                                    <input type="text" class="form-control" id="firstName" th:field="*{name}"
                                           th:classappend="${#fields.hasErrors('name')} ? 'is-invalid'" required>
                                    <span class="text-danger invalid-feedback">jméno je povinné</span>
                                </div>
                                <!--SURNAME-->
                                <label for="surname" class="col-md-3 col-lg-2 col-form-label">Příjmení:</label>
                                <div class="col-md-9 col-lg-4">
                                    <input type="text" class="form-control" id="surname" th:field="*{surname}"
                                           th:classappend="${#fields.hasErrors('surname')} ? 'is-invalid'" required>
                                    <span class="text-danger invalid-feedback">příjmení je povinné</span>
                                </div>
                            </div>
                            <!--COMPANY-->
                            <div class="form-group row">
                                <label for="company" class="col-md-3 col-lg-2 col-form-label">Firma:</label>
                                <div class="col-md-9 col-lg-10">
                                    <input type="text" class="form-control" id="company" th:field="*{company}">
                                </div>
                            </div>

                            <div th:if="${emailErrorMessage != null}" class="alert alert-danger alert-dismissible fade show" role="alert">
                                již existuje uživatel se touto emalovou adresou!
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>

                            <!--EMAIL-->
                            <div class="form-group row">
                                <label for="email" class="col-md-3 col-lg-2 col-form-label">Email:</label>
                                <div class="col-md-9 col-lg-10">
                                    <input type="email" class="form-control" id="email" th:field="*{email}"
                                           th:classappend="${#fields.hasErrors('email')} ? 'is-invalid'" required>
                                    <span class="text-danger invalid-feedback">email je povinný</span>
                                </div>
                            </div>

                            <!--PHONE-->
                            <div class="form-group row">
                                <label for="phoneNumber" class="col-md-3 col-lg-2 col-form-label">Telefon:</label>
                                <div class="col-md-9 col-lg-10">
                                    <input type="text" class="form-control" id="phoneNumber" th:field="*{phoneNumber}"
                                           th:classappend="${#fields.hasErrors('phoneNumber')} ? 'is-invalid'" >
                                    <span class="text-danger invalid-feedback">telefonní číslo je povinné</span>
                                </div>
                            </div>

                            <!--Č.OP/RČ-->
                            <div class="form-group row">
                                <label for="idNumber" class="col-md-3 col-lg-2 col-form-label">Číslo OP/RČ:</label>
                                <div class="col-md-9 col-lg-10">
                                    <input type="text" class="form-control" id="idNumber" th:field="*{idNumber}"
                                           th:classappend="${#fields.hasErrors('idNumber')} ? 'is-invalid'" required >
                                    <span class="text-danger invalid-feedback">číslo občanky nebo rodné číslo je povinné</span>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!--ADDRESS-->
                    <div class="card mb-2">
                        <div class="card-header">
                            Adresa
                        </div>
                        <div class="card-body">

                            <!--CITY-->
                            <div class="form-group row">
                                <label for="city" class="col-md-3 col-lg-2 col-form-label">Město:</label>
                                <div class="col-md-9 col-lg-10">
                                    <input type="text" class="form-control" id="city" th:field="*{address.city}"
                                           th:classappend="${#fields.hasErrors('address.city')} ? 'is-invalid'" required>
                                    <span class="text-danger invalid-feedback">město je povinné</span>
                                </div>
                            </div>

                            <!--STREET-->
                            <div class="form-group row">
                                <label for="street" class="col-md-3 col-lg-2 col-form-label">Ulice:</label>
                                <div class="col-md-9 col-lg-10">
                                    <input type="text" class="form-control" id="street" th:field="*{address.street}"
                                           th:classappend="${#fields.hasErrors('address.street')} ? 'is-invalid'" required>
                                    <span class="text-danger invalid-feedback">ulice je povinná</span>
                                </div>
                            </div>

                            <div class="form-group row">
                                <!--ZIP-->
                                <label for="zip" class="col-md-3 col-lg-2 col-form-label">Zip:</label>
                                <div class="col-md-9 col-lg-4 mb-3 mb-lg-0">
                                    <input type="text" class="form-control" id="zip" th:field="*{address.zip}"
                                           th:classappend="${#fields.hasErrors('address.zip')} ? 'is-invalid'" required>
                                    <span class="text-danger invalid-feedback">zip je povinný</span>
                                </div>
                                <!--STATE-->
                                <label for="state" class="col-md-3 col-lg-2 col-form-label">Stát:</label>
                                <div class="col-md-9 col-lg-4">
                                    <input type="text" class="form-control" id="state" th:field="*{address.state}"
                                           th:classappend="${#fields.hasErrors('address.state')} ? 'is-invalid'" required>
                                    <span class="text-danger invalid-feedback">stát je povinný</span>
                                </div>
                            </div>

                        </div>
                    </div>

                    <!--PASSWORD-->
                    <div class="card mb-2">
                        <div class="card-header">
                            Změna hesla
                        </div>
                        <div class="card-body">
                            <div class="form-group row">
                                <label for="password" class="col-md-3 col-lg-2 col-form-label">Nové heslo:</label>
                                <div class="col-md-9 col-lg-4 mb-3 mb-lg-0">
                                    <input type="password" class="form-control" id="password" th:field="*{password}"
                                           th:classappend="${#fields.hasErrors('password')} ? 'is-invalid'" minlength="8">
                                    <span class="text-danger invalid-feedback">heslo musí mít minimálně 8 znaků</span>
                                </div>
                                <label for="password2" class="col-md-3 col-lg-2 col-form-label">Heslo znovu:</label>
                                <div class="col-md-9 col-lg-4">
                                    <input type="password" class="form-control" id="password2">
                                    <span class="text-danger invalid-feedback">hesla se neshodují</span>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div sec:authorize="!hasRole('ADMIN')" class="form-group row p-3 pr-0">
                        <label for="origPassword" class="col-md-4 col-lg-3 col-xl-2 col-form-label">Původní heslo:</label>
                        <div class="col-md-6 col-lg-6 col-xl-4">
                            <input type="password" class="form-control" id="origPassword" name="origPassword" required>
                            <span class="text-danger invalid-feedback">původní heslo je povinné</span>
                        </div>
                        <div class="col-md-2 col-lg-3 col-xl-6 clearfix pr-3 pr-md-0 mt-3 mt-md-0">
                            <button type="submit" id="saveButton" class="btn btn-orange px-4 float-right">Uložit</button>
                        </div>
                    </div>

                    <div sec:authorize="hasRole('ADMIN')" class="form-group p-3 pr-0 clearfix">
                        <button type="submit" id="saveButton" class="btn btn-orange px-4 float-right">Uložit</button>
                    </div>
                </form>
            </div>
        </div>
    </main>
</div>

<div th:replace="fragments/layout :: footer"></div>

<script>
    jQuery(document).ready(function() {

        /**REGISTRATION VALIDATION*/
        $('#saveButton').on('click', function () { validateEmail($('#email')) });
        $('#email').on('input', function () { validateEmail($('#email')) });
        $('#saveButton').on('click', function () { comparePasswords($('#password'), $('#password2'), false) });
        $('#password').on('input', function () { checkPassword($('#password'), $('#password2'), false) });
        $('#password2').on('input', function () { comparePasswords($('#password'), $('#password2'), false) });

    });
</script>

</body>
</html>